List Models
curl --request GET \
--url https://api.example.com/api/v2/modelsimport requests
url = "https://api.example.com/api/v2/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Models
List Models
Get all available AI models with pricing and capabilities
GET
/
api
/
v2
/
models
List Models
Query Parameters
string
Filter:
text, image, video, tts, stt, music, toolstring
Filter by minimum plan required:
free (Starter), basic, pro, vip, eliteRequest
curl "https://elumenta.ru/api/v2/models?category=image" \
-H "Authorization: Bearer nb_YOUR_API_KEY"
Response
{
"models": [
{
"slug": "flux-1.1-pro",
"name": "Flux 1.1 Pro",
"category": "image",
"provider": "Replicate",
"token_cost": 4,
"is_free": false,
"min_plan": "basic",
"min_token_cost": 4,
"max_token_cost": 4,
"description_en": "High-quality photorealistic image generation",
"supports_streaming": false,
"config": {
"sizes": ["1024x1024", "768x1344", "1344x768"],
"formats": ["webp", "png", "jpeg"],
"supports_negative_prompt": true
}
},
{
"slug": "gpt-5",
"name": "GPT-5",
"category": "text",
"provider": "OpenAI",
"token_cost": 2,
"is_free": false,
"min_plan": "basic",
"min_token_cost": 2,
"max_token_cost": 2,
"supports_streaming": true,
"config": {
"supports_vision": true,
"max_context": 128000
}
}
],
"total": 52
}
Get Model Avg Time
GET /api/v2/models/{slug}/avg-time
⌘I

